% function samp=samprej(mu,v);
%
% Sample from the positive part of a Gaussian truncated at 0 using 
% simple rejection sampling. This will *not* work well in the tails 
% of the Gaussian, that is, if mu/sqrt(v) << 0

function samp=samprej(mu,v);

if mu/sqrt(v) < -3,
  disp('warning: samprej should not be used in Gaussian tails');
end;

sv=sqrt(v);

done=0;
while ~done,
  samp=mu+randn*sv;
  if samp>0,
    done=1;
  end;
end;

