/**************************************************************
 *
 *
 * $Header:$
 *
 * $Log:$
 *
 * MODULE DESCRIPTION
 *
 *   twogauss - MEx file to do sampling from
 *   a distribution made up of two halves of a
 *   gaussian
 *
 *
 * $Author:$
 *
 *************************************************************/

#include <math.h>
#include <mex.h>
#include "twogauss.h"


void mexFunction(
int		nlhs,
Matrix		*plhs[],
int		nrhs,
Matrix		*prhs[]
)
{
  double	*mun, *vn, *mup, *vp; /* Input parameters */
  double	*samp;
  int		i = 0;
  double	*retSamp;

  /* Check for proper number of arguments */
  
  if (nrhs != 4) 
  {
    mexErrMsgTxt("twogauss requires t4 input arguments."); 
  } else if (nlhs > 1) 
  {
    mexErrMsgTxt("twogauss requires 1 output argument.");
  }

  plhs[0] = mxCreateFull(1, 1, REAL);

  /* Dereferece the input/ output args */
  
  samp = mxGetPr(plhs[0]);

  mun = mxGetPr(prhs[i++]);
  vn = mxGetPr(prhs[i++]);
  mup = mxGetPr(prhs[i++]);
  vp = mxGetPr(prhs[i++]);

  *samp = twogauss(*mun, *vn, *mup, *vp);
}
